## ros-melodic-mqtt-bridge 0.1.7

=== requirements.txt ===
bson>=0.5.2
inject>=3.3.1
paho-mqtt>=1.2
msgpack-python>=0.4.8

=== debian/changelog ===
ros-melodic-mqtt-bridge (0.1.7-7stretch) stretch; urgency=high

  * Fix mqtt subscribing to private path (#27 <https://github.com/groove-x/mqtt_bridge/issues/27>)
  * Fix frequency limit (#26 <https://github.com/groove-x/mqtt_bridge/issues/26>)
  * Add bson module in requirements.txt (#10 <https://github.com/groove-x/mqtt_bridge/issues/10>)
  * Fix Bridge not to fall when ros msg cannot be created (#4 <https://github.com/groove-x/mqtt_bridge/issues/4>)
  * Contributors: 5tan, Junya Hayashi, Tomas Cernik, Yuma Mihira, kapilPython

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Sat, 20 Jun 2020 15:00:00 -0000

ros-melodic-mqtt-bridge (0.1.6-7stretch) stretch; urgency=high

  * fix if frequency is none (#2 <https://github.com/groove-x/mqtt_bridge/issues/2>)

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Thu, 09 Nov 2017 15:00:00 -0000

ros-melodic-mqtt-bridge (0.1.5-7stretch) stretch; urgency=high

  * Update configurations

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Tue, 06 Dec 2016 15:00:00 -0000

ros-melodic-mqtt-bridge (0.1.0-7stretch) stretch; urgency=high

  * Initial Release

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Sat, 03 Dec 2016 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-mqtt-bridge
Section: misc
Priority: optional
Maintainer: Junya Hayashi <junya.hayashi@groove-x.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://www.ros.org/wiki/mqtt_bridge
Standards-Version: 3.9.2

Package: ros-melodic-mqtt-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rosbridge-library, ros-melodic-rospy, ros-melodic-std-msgs
Description: The mqtt_bridge package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-mqtt-bridge//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-mqtt-bridge 0.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mqtt_bridge)

find_package(catkin REQUIRED)
catkin_python_setup()
catkin_package()


install(PROGRAMS
  scripts/mqtt_bridge_node.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

add_custom_target(install_depends ALL COMMAND "pip" "install" "--user" "-r" "${PROJECT_SOURCE_DIR}/requirements.txt")

=== Makefile ===
.PHONY: setup
setup:
	pip install catkin_pkg
	pip install -r dev-requirements.txt
	pip install -e .

.PHONY: test
test:
	python -m pytest test

.PHONY: circleci-local
circleci-local:
	circleci local execute --job test
	circleci local execute --job rostest

=== requirements.txt ===
inject>=3.3.1,<4.0
msgpack-python>=0.4.8
paho-mqtt>=1.2
pymongo

=== debian/changelog ===
ros-melodic-mqtt-bridge (0.1.8-4bionic) bionic; urgency=high

  * configure rostest and run it on circleci (#41 <https://github.com/groove-x/mqtt_bridge/issues/41>)
  * split requirements.txt (#38 <https://github.com/groove-x/mqtt_bridge/issues/38>)
  * add unittests (#37 <https://github.com/groove-x/mqtt_bridge/issues/37>)
  * Fix 'install_requires' warning when building with --install (#32 <https://github.com/groove-x/mqtt_bridge/issues/32>)
  * Contributors: Jacob Seibert, Junya Hayashi

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Thu, 31 Dec 2020 00:00:00 -0000

ros-melodic-mqtt-bridge (0.1.7-4bionic) bionic; urgency=high

  * Fix mqtt subscribing to private path (#27 <https://github.com/groove-x/mqtt_bridge/issues/27>)
  * Fix frequency limit (#26 <https://github.com/groove-x/mqtt_bridge/issues/26>)
  * Add bson module in requirements.txt (#10 <https://github.com/groove-x/mqtt_bridge/issues/10>)
  * Fix Bridge not to fall when ros msg cannot be created (#4 <https://github.com/groove-x/mqtt_bridge/issues/4>)
  * Contributors: 5tan, Junya Hayashi, Tomas Cernik, Yuma Mihira, kapilPython

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Sun, 21 Jun 2020 00:00:00 -0000

ros-melodic-mqtt-bridge (0.1.6-4bionic) bionic; urgency=high

  * fix if frequency is none (#2 <https://github.com/groove-x/mqtt_bridge/issues/2>)

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Fri, 10 Nov 2017 00:00:00 -0000

ros-melodic-mqtt-bridge (0.1.5-4bionic) bionic; urgency=high

  * Update configurations

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-melodic-mqtt-bridge (0.1.0-4bionic) bionic; urgency=high

  * Initial Release

 -- Junya Hayashi <junya.hayashi@groove-x.com>  Sun, 04 Dec 2016 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Junya Hayashi <junya.hayashi@groove-x.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
+Build-Depends: debhelper (>= 9.0.0), python-pip, python-setuptools, ros-melodic-catkin
 Homepage: http://www.ros.org/wiki/mqtt_bridge
 Standards-Version: 3.9.2
